<ngx-loading [show]="isLoadingUpdate$ | async" />

<ng-container *ngIf="data$ | async as row">
  <ng-container *ngIf="row.is_validate === 6 && checkDraft()">
    <div [ngClass]="[jds.d('flex'), jds.justifyContent('end'), jds.mb(20)]">
      <a
        [ngClass]="[jds.button, jds.buttonDanger, jds.w(120), jds.me(16)]"
        (click)="onDecline(row.id)"
      >
        Tolak
      </a>

      <a
        [ngClass]="[jds.button, jds.buttonSuccess, jds.w(120)]"
        (click)="onAccept(row.id)"
      >
        Terima
      </a>
    </div>
  </ng-container>
</ng-container>
